
From: Stephen Rothwell <sfr@canb.auug.org.au>

include/asm-ppc64/iSeries/iSeries_proc.h just contains a declaration of a
function that no longer exists.  Remove it.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 dev/null                          |   24 ------------------------
 arch/ppc64/kernel/iSeries_proc.c  |    1 -
 arch/ppc64/kernel/iSeries_setup.c |    1 -
 arch/ppc64/kernel/viopath.c       |    1 -
 4 files changed, 27 deletions(-)

diff -puN arch/ppc64/kernel/iSeries_proc.c~ppc64-iseries-remove-iseries_proch arch/ppc64/kernel/iSeries_proc.c
--- 25/arch/ppc64/kernel/iSeries_proc.c~ppc64-iseries-remove-iseries_proch	2005-06-03 02:15:47.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/iSeries_proc.c	2005-06-03 02:15:47.000000000 -0700
@@ -29,7 +29,6 @@
 #include <asm/iSeries/HvCallXm.h>
 #include <asm/iSeries/IoHriMainStore.h>
 #include <asm/iSeries/LparData.h>
-#include <asm/iSeries/iSeries_proc.h>
 
 static int __init iseries_proc_create(void)
 {
diff -puN arch/ppc64/kernel/iSeries_setup.c~ppc64-iseries-remove-iseries_proch arch/ppc64/kernel/iSeries_setup.c
--- 25/arch/ppc64/kernel/iSeries_setup.c~ppc64-iseries-remove-iseries_proch	2005-06-03 02:15:47.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/iSeries_setup.c	2005-06-03 02:15:47.000000000 -0700
@@ -55,7 +55,6 @@
 #include <asm/iSeries/HvCallXm.h>
 #include <asm/iSeries/ItLpQueue.h>
 #include <asm/iSeries/IoHriMainStore.h>
-#include <asm/iSeries/iSeries_proc.h>
 #include <asm/iSeries/mf.h>
 #include <asm/iSeries/HvLpEvent.h>
 #include <asm/iSeries/iSeries_irq.h>
diff -puN arch/ppc64/kernel/viopath.c~ppc64-iseries-remove-iseries_proch arch/ppc64/kernel/viopath.c
--- 25/arch/ppc64/kernel/viopath.c~ppc64-iseries-remove-iseries_proch	2005-06-03 02:15:47.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/viopath.c	2005-06-03 02:15:47.000000000 -0700
@@ -48,7 +48,6 @@
 #include <asm/iSeries/HvLpConfig.h>
 #include <asm/iSeries/HvCallCfg.h>
 #include <asm/iSeries/mf.h>
-#include <asm/iSeries/iSeries_proc.h>
 #include <asm/iSeries/vio.h>
 
 /* Status of the path to each other partition in the system.
diff -L include/asm-ppc64/iSeries/iSeries_proc.h -puN include/asm-ppc64/iSeries/iSeries_proc.h~ppc64-iseries-remove-iseries_proch /dev/null
--- 25/include/asm-ppc64/iSeries/iSeries_proc.h
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,24 +0,0 @@
-/*
- * iSeries_proc.h
- * Copyright (C) 2001  Kyle A. Lucke IBM Corporation
- * 
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- * 
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- * 
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
- */
-#ifndef _ISERIES_PROC_H
-#define _ISERIES_PROC_H
-
-extern void iSeries_proc_early_init(void);
-
-#endif /* _iSeries_PROC_H */
_
